Last Comment Bug 659457 - Update Gingerbread UI for Preferences/Downloads/Addons and Context Menu
: Update Gingerbread UI for Preferences/Downloads/Addons and Context Menu
Status: VERIFIED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: Firefox 6
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
:
Mentors:
Depends on: 660569 660570 660571 660573
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-24 14:49 PDT by Ian Barlow (:ibarlow)
Modified: 2011-06-23 13:59 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Assets for Preferences (9.82 KB, application/zip)
2011-05-26 12:45 PDT, Ian Barlow (:ibarlow)
no flags Details
patch (37.89 KB, patch)
2011-05-26 14:33 PDT, Mark Finkle (:mfinkle) (use needinfo?)
mbrubeck: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Ian Barlow (:ibarlow) 2011-05-24 14:49:35 PDT
Now that we have a solid first cut of our Gingerbread UI, we should go in and detail some of the other areas like Preferences and the Context Menu. Some mocks below for reference:

http://www.flickr.com/photos/61892693@N03/5726890128/in/set-72157626609900587

http://www.flickr.com/photos/61892693@N03/5726333477/in/set-72157626609900587

http://www.flickr.com/photos/61892693@N03/5726890284/in/set-72157626609900587
Comment 1 Ian Barlow (:ibarlow) 2011-05-26 12:45:19 PDT
Created attachment 535436 [details]
Assets for Preferences

Included here are a dropdown button, radio buttons, and an "update addons" button!

Also, here is where we ended up with the Add-ons page update (which will change a bit once we have a discopane) http://www.cl.ly/190c2G3y3Q411M3A3E18
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-26 14:33:54 PDT
Created attachment 535478 [details] [diff] [review]
patch

This patch adds nearly all CSS based changes we can make, including:
* Use black background (white text) for all richlistbox
* Uses a radio image and not the check image for popup menulist selection
* Uses a checkbox, not a toggle in prefs and about:config
* Aligned images and text to top of larry (bug 659447)
* Changed the prefs and add-ons header colors (text / background)

New files:
* gingerbread/forms.css (copied and edited from core theme)
* radio selected/unselected PNGs
* content.css and gingerbread/content.css (moved and tweaked from chrome/content/content.css)

Replaced files:
* lock and unlocked PNGs used in larry (bug 659447)
* tab background assets (bug 659447)
* close button assets (bug 659447)

Non-CSS changes:
* Makes the popup list for menulist selection popup 80% of window width instead of only wide enough. It was too cramped. This affects all themes.
Comment 3 Matt Brubeck (:mbrubeck) 2011-05-26 15:54:40 PDT
Comment on attachment 535478 [details] [diff] [review]
patch

Review of attachment 535478 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 4 Matt Brubeck (:mbrubeck) 2011-05-27 07:03:27 PDT
I noticed one problem while testing this - checkboxes move by a pixel or two when you click them, and don't move back until they are unfocused.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-27 07:51:28 PDT
(In reply to comment #4)
> I noticed one problem while testing this - checkboxes move by a pixel or two
> when you click them, and don't move back until they are unfocused.

Thanks. Fixed it locally by using a transparent border on focus for the checkbox label, which we don't use but is still "there". The original patch removed the border, causing the "shift".
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-02 10:04:13 PDT
Comment on attachment 535478 [details] [diff] [review]
patch

low-risk, android only, been baking on trunk for a while and vastly improves the gingerbread theme
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-02 10:06:49 PDT
forgot to note this:
http://hg.mozilla.org/mozilla-central/rev/113014cf801a
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-02 19:45:08 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/45794d6ffc6f
Comment 9 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-06-23 13:59:11 PDT
Verified

Mozilla/5.0 (Android; Linux armv71; rv6.0a2) Gecko/20110623 Firefox/6.0a2 Fennec/6.0a2
Device: HTC Flyer
OS: Android 2.3

Note You need to log in before you can comment on or make changes to this bug.